[SciPy-user] totally bogged down install on fedora core 4

Ed Schofield schofield at ftw.at
Tue Dec 20 09:06:10 CST 2005


felis at Safe-mail.net wrote:

>hi list,
>
>i have trouble getting scipy 0.32 to run on a fc4 installation, i also tried in vain an OSX installation. What ever i try satifying dependencies (python, ATLAS, lapack, djbfft etc.etc.) every avenue seems blocked. Is there a way to install scipy on fc4? I would love to use it but it's a science to get it running in the first place.
>
>Get anyone point me to some description of things to do to get it working on fc4 or OSX? I must be missing something.
>  
>
Hi Felis,

Our website and documentation are a real mess at the moment.  First off, 
you probably want the newer version 0.8.4 of scipy core.  It's available 
from the Download link at http://numeric.scipy.org/.  Get the file 
called scipy_core-0.8.4.tar.gz, unpack it, and run "python setup.py 
install" (as root) from the source directory.  But before doing this 
completely remove the existing installation, e.g. with:

rm -Rf /usr/lib/python2.4/site-packages/scipy

as root.

Then test it out with

 >>> import scipy
 >>> scipy.test()

If all's well and you want to install full scipy (with the other 
modules), I suggest you get it from subversion:

svn co http://svn.scipy.org/svn/scipy/trunk scipy
cd scipy
python setup.py install

If you have any problems see the last few months' posts to this mailing 
list.

Cheers,
Ed



More information about the SciPy-user mailing list